Bug Hunting Session
Bug 73197 - Start Center: Recent documents should be resizable
Summary: Start Center: Recent documents should be resizable
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.2.0.1 rc
Hardware: Other All
: low enhancement
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Start-Center
  Show dependency treegraph
 
Reported: 2014-01-01 01:29 UTC by guy
Modified: 2017-11-14 13:16 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description guy 2014-01-01 01:29:04 UTC
Enhancement request: It is a nice touch that the most recently opened files are displayed on the new opening screen. I would like to be able to resize the icons as well as being able to delete them selectively. 


              
Operating System: Windows 7
Version: 4.2.0.1 rc
Comment 1 retired 2014-01-01 12:31:28 UTC
Valid enhancement request, nice idea. I like both suggestions.
Comment 2 Tin Man 2014-01-01 13:39:40 UTC
Could you split this bug up into two?
Also, when you do so, please state the problem in the bug title, not the proposed solution.

For example, instead of "Recent documents should be resizable", the problem might be "Recent document thumbnails are too large" or "too small", and in the description you could go on to say that your screen can fit only 4 thumbnails.
And instead of "Recent documents should be selectively removable", you might say "No way to selectively remove private documents" or "unimportant documents".
In the description, you can also propose your solution.

See https://wiki.documentfoundation.org/Design for tips on how to report UX bugs.
Comment 3 tommy27 2014-06-07 11:20:25 UTC
selective removal of thumbnails from start center will be possible in LibO 4.3.0 
see: https://wiki.documentfoundation.org/ReleaseNotes/4.3#GUI

so I change summary notes to leave just the "resize" request which is not possible yet
Comment 4 V Stuart Foote 2014-06-07 14:11:18 UTC
IMHO it would not be worth development cycles (or performance impact) to provide independently resize of thumbnails on the StartCenter.

I could envision resizing if it were a simple small - medium -large radio button selection (or similar) widget that could be applied to scale the rendering of ALL recent ODF document thumbnails displayed on the StartCenter.

The size setting should then be stateful in user configuration based on the selection.

An alternative for dynamic preview (resize to larger rendering) of the ODF thumbnail on mouse-over using an ALT or CTL key trigger might be a desirable GUI feature. But that would be a more complicated enhancement -- and would have performance impact.
Comment 5 V Stuart Foote 2014-06-07 14:12:37 UTC
setting to enhancement
Comment 6 V Stuart Foote 2014-06-13 18:14:17 UTC
pointing this to the correct meta issue for Start Center bug 61914, rather than the SideBar meta issue, sorry for the noise.
Comment 7 Robinson Tryon (qubit) 2016-08-25 05:39:23 UTC Comment hidden (obsolete)
Comment 8 Heiko Tietze 2017-11-14 13:16:37 UTC
Agree with Stuart's comment 4. No use case beyond "would nice to be able" makes the effort pointless.